### Class

# Phosh OskManager

#### Description [src]

    final class Phosh.OskManager : GObject.Object
    {
      /* No available fields */
    }

A manager that handles the OSK

The `PhoshOskManager` is responsible for handling the on screen keyboard. It tracks the OSKs visible property and can toggle the state. Note that there’s no way to ensure keyboard state via this interface as it just uses DBus to express preference. Any text input can make the keyboard show again.

#### Ancestors

- GObject

#### Constructors

###### phosh_osk_manager_new

No description available.

#### Instance methods

###### phosh_osk_manager_get_available

No description available.

###### phosh_osk_manager_get_visible

No description available.

###### phosh_osk_manager_set_visible

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.OskManager:available

No description available.

###### Phosh.OskManager:visible

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshOskManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.